Add files to a case

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /cases/files/{caseId}/add-files

Adds already-uploaded files to the case, optionally with a category.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • caseId string Required
application/json

Body Required

  • files array[object] Required
    Hide files attributes Show files attributes object
    • file string Required
    • type string
    • category string

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /cases/files/{caseId}/add-files
curl \
 --request POST 'http://api.example.com/cases/files/{caseId}/add-files' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data '{
  "files": [
    {
      "file": "string",
      "type": "string",
      "category": "string"
    }
  ]
}'
Request examples
# Headers
organization: string

# Payload
{
  "files": [
    {
      "file": "string",
      "type": "string",
      "category": "string"
    }
  ]
}
Response examples (200)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}